phpflowApp.controller('phpflowAppCtrl', ['$scope', '$rootScope', '$cookieStore', 'Session', function ($scope, $rootScope, $cookieStore, Session) {
      $rootScope.homeView = '';
      $rootScope.projectView = '';
      $rootScope.configView = '';
      $rootScope.toolsView = '';
      $rootScope.documentationView = '';
      if(!$cookieStore.get("tokenId")){ //When the phpflowApp initializes without a token Id, redirect to login
         window.location.replace(window.location.origin + '/login.html');
      }
      
      $scope.errorHandler = function (data) {
         switch (data.code) {
            case 1000:
               Session.destroy();
               window.location.replace(window.location.origin + '/login.html');
               break;
            case 401:
               return true;
               break;
         }
      };
   }]);

phpflowLogin.controller('phpflowLoginCtrl', ['$scope', '$rootScope', 'AuthService', function ($scope, $rootScope, AuthService) {
      $scope.credentials = {
         username: '',
         password: ''
      };
      $scope.login = function (credentials) {
         AuthService.login(credentials).error(function () {
            $scope.login.failure = true;
         });
      };
   }]);